> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-geopard-api/notatki-mitki/28.-mutaciya-zberegti-kilka-notes-paketna-operaciya.md).

# 28. Мутація: Зберегти кілька "Notes", пакетна операція

Ця мутація дозволяє прикріпити кілька нотаток до вказаного поля.

{% hint style="success" %}
Максимальна кількість нотаток для збереження — 25.
{% endhint %}

{% hint style="success" %}
Додайте `uuid` атрибут вхідних даних, щоб оновити нотатку.
{% endhint %}

* Нотатку можна пов’язати з Полем через її унікальний ідентифікатор `fieldUuid,`  до пов’язаного SoilDataset через `soilDatasetUuid`, до ZonesMap через `vectorAnalysisMapUuid`.
* Координату Нотатки можна задати за допомогою `centroid` атрибуту, що вимагає вказаних `latitude` та `longitude` значень.&#x20;
* Тип Нотатки можна вказати за допомогою `тип` атрибуту з допустимими значеннями `PLANNED` або `REAL`.&#x20;
* Опис Нотатки можна надати за допомогою `comment` атрибуту. Якщо опис має бути багаторядковим, `comment` атрибут повинен містити рядок з символами нового рядка `\\n` щоб розділяти рядки. Наприклад: `"Перший рядок тут\\nДругий рядок тут.\\nТретій рядок тут."`.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
мутація BatchSaveNotes {
  saveNotes(input:{
    notes: [{
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      центроїд: {широта: 51.177747, довгота: -113.533613},
      тип: PLANNED,
      коментар: "Пакетне збереження: 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      uuid: "531d4cc4-b464-435c-8bb5-464cc13fcafa",
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      центроїд: {широта: 51.177747, довгота: -113.533613},
      type: REAL,
      коментар: "Пакетне оновлення: 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      центроїд: {широта: 51.177747, довгота: -113.533613},
      type: REAL,
      коментар: "Пакетне збереження: 2",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      центроїд: {широта: 51.177747, довгота: -113.533613},
      type: REAL,
      коментар: "Пакетне збереження: 2",
      soilDatasetUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }
  ]
  } ) {
    uuid
    fieldUuid
    датаСтворення
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-geopard-api/notatki-mitki/28.-mutaciya-zberegti-kilka-notes-paketna-operaciya.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
